Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObjectReader Class Reference

`#include <vtkDataObjectReader.h>`

Inheritance diagram for vtkDataObjectReader:

[legend]
Collaboration diagram for vtkDataObjectReader:

[legend]
List of all members.

## Detailed Description

read vtk field data file

Date:
  2002/05/31 23:12:41

Revision:
  1.20

vtkDataObjectReader is a source object that reads ASCII or binary field data files in vtk format. Fields are general matrix structures used represent complex data. (See text for format details). The output of this reader is a single vtkDataObject. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkFieldData vtkDataObjectWriter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (84%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkDataObjectReader.cxx)`
  - .`h` (`/IO/vtkDataObjectReader.h)`

Tests:
  vtkDataObjectReader (Tests)

Definition at line 55 of file vtkDataObjectReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkDataObject * | GetOutput ()
vtkDataObject * | GetOutput (int idx)
void | SetOutput (vtkDataObject *)
## Static Public Methods
vtkDataObjectReader * | New ()
int | IsTypeOf (const char *type)
vtkDataObjectReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObjectReader ()
| ~vtkDataObjectReader ()
void | Execute ()

## Member Typedef Documentation

typedef vtkDataReader vtkDataObjectReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 59 of file vtkDataObjectReader.h.

## Constructor & Destructor Documentation

vtkDataObjectReader::vtkDataObjectReader | ( |  | ) | `[protected]`

vtkDataObjectReader::~vtkDataObjectReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataObjectReader* vtkDataObjectReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkDataObjectReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkDataObjectReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkDataObjectReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkDataObjectReader* vtkDataObjectReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkDataObjectReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkDataObject* vtkDataObjectReader::GetOutput | ( |  | ) |

| Get the output field of this reader.

vtkDataObject* vtkDataObjectReader::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output field of this reader. Reimplemented from vtkSource. Definition at line 65 of file vtkDataObjectReader.h. References vtkSource::GetOutput().

void vtkDataObjectReader::SetOutput | ( | vtkDataObject * |  | ) |

| Get the output field of this reader.

void vtkDataObjectReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- IO/vtkDataObjectReader.h